summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Eduardo Oda2010-05-13 00:39:01 +0200
committer Robby Workman2010-05-13 00:39:01 +0200
commit1eec7f418b26946478748c5e9d8e076a8c6b31b7 (patch)
treee54a9baf1f97a601a33c13a36fbe54f43b910079 /office
parent3f25c30dbcfd62606d29cc48e38ec5350b433d99 (diff)
downloadslackbuilds-1eec7f418b26946478748c5e9d8e076a8c6b31b7.tar.gz
office/broffice.org: Updated for version 3.1.1
Diffstat (limited to 'office')
-rw-r--r--office/broffice.org/README4
-rw-r--r--office/broffice.org/broffice.org.SlackBuild54
-rw-r--r--office/broffice.org/broffice.org.info8
-rw-r--r--office/broffice.org/desktop-file-fix-3.0.1-pt_BR.diff72
-rw-r--r--office/broffice.org/slack-desc16
5 files changed, 47 insertions, 107 deletions
diff --git a/office/broffice.org/README b/office/broffice.org/README
index e61980e0c7..6c7d771a04 100644
--- a/office/broffice.org/README
+++ b/office/broffice.org/README
@@ -1,5 +1 @@
BrOffice.org is the official Brazilian version of OpenOffice.org.
-
-This script is based on OpenOffice.org slackbuild available at SlackBuilds.org
-and it only works for pt_BR, so if you want OpenOffice in another language,
-use the OpenOffice.org SlackBuild.
diff --git a/office/broffice.org/broffice.org.SlackBuild b/office/broffice.org/broffice.org.SlackBuild
index afa4ed6be8..103724a40d 100644
--- a/office/broffice.org/broffice.org.SlackBuild
+++ b/office/broffice.org/broffice.org.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for OpenOffice.org
-# Copyright 2006-2009 Robby Workman, Northport, Alabama, ASA
+# Copyright 2006-2009 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,15 +22,9 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Thanks to Sandman1, Larhzu, and MacIver for early assistance.
-# Thanks to Fred Emmott (http://slamd64.com) for some better code in a few
-# places and ideas to include the Optimization Solver and disable javaldx.
-# Thanks to hba for the idea to include support for other languages.
-# Thanks to Nille Akerstrom for the diff to support w/JRE tarballs
-
PRGNAM=broffice.org
-VERSION=3.0.1
-ARCH=i586 # The binaries are built for i586 - leave this alone
+VERSION=3.1.1
+ARCH=${ARCH:-i586}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -46,32 +40,47 @@ PKG_LANG=$(echo $OOLANG | sed s/-/_/) # Leave this alone
# If you want to disable java support by removing executable permissions
# form OOo's java loader (this will not affect other apps), set this
# variable to "YES" Default is "NO"
-# According to Fred Emmott, this is *highly* desirable on 64 bit systems
DISABLE_JAVA=${DISABLE_JAVA:-NO}
+# Change source package name
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="X86-64"
+ PKGARCH="$ARCH"
+else
+ SRCARCH="Intel"
+ PKGARCH="i586"
+fi
+
# Yes, I know there is a Slackware integration file in the desktop-integration
# directory, but it's worthless to us. I'd prefer to do things correctly.
# Ignore this - it's just to get the toplevel directory name of the
# extracted tarball archive
-SOURCEDIR=$(tar tzf $CWD/BrOo_${VERSION}_LinuxIntel_install_${OOLANG}.tar.gz | head -1 | tr -d \/)
+SOURCEDIR=$(tar tzf $CWD/BrOOo_${VERSION}_Linux${SRCARCH}_install_${OOLANG}.tar.gz | head -1 | tr -d \/)
+
+# If the above operation failed for some reason, unset SOURCEDIR so that
+# the "set -eu" below will cause us to bail out with an error
+[ -z $SOURCEDIR ] && unset SOURCEDIR
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
rm -rf $TMP/$SOURCEDIR
-tar xvf $CWD/BrOo_${VERSION}_LinuxIntel_install_${OOLANG}.tar.gz -C $TMP
+tar xvf $CWD/BrOOo_${VERSION}_Linux${SRCARCH}_install_${OOLANG}.tar.gz -C $TMP
cd $TMP/$SOURCEDIR/RPMS/
mv desktop-integration/*-freedesktop-menus-*.rpm .
-rm *onlineupdate*.rpm *ooofonts*.rpm # We don't want/need these
+rm *onlineupdate*.rpm # We don't want/need this
for FILE in *.rpm ; do rpm2cpio < $FILE | cpio -imdv ; done
rm -rf desktop-integration *.rpm
mv opt usr $PKG
cd $PKG
+# Kill a broken symlink
+rm -f $PKG/usr/share/applications/startcenter.desktop
+
# Create symlinks in /usr/bin to actual binaries
cd $PKG/usr/bin
for FILE in \
@@ -81,16 +90,23 @@ cd $PKG/usr/bin
done
cd -
+# Remove DejaVu and Liberation fonts - these are included in other packages
+rm -f opt/openoffice.org/basis3.1/share/fonts/truetype/[DL]*.ttf
+
# Fix Exec commands in the desktop files
# See http://bugzilla.xfce.org/show_bug.cgi?id=2430
-patch -p1 < $CWD/desktop-file-fix-${VERSION}-${PKG_LANG}.diff
+cd $PKG/opt/broffice.org3/share/xdg/
+ for APP in base calc draw impress math writer; do
+ sed -i 's%Exec=broffice.org3 -%Exec=s%' $APP.desktop ;
+ done
+cd -
-# Install dictionary extensions for spellchecking
+# Install extensions
UNOPKG_BIN=$PKG/opt/broffice.org3/program/unopkg
DICT_DIR=$PKG/opt/broffice.org3/share/extension/install
if [ -x "$UNOPKG_BIN" ]; then
UNOPKG_TMP=$TMP/$$$$$$
- find $DICT_DIR -type f -name "dict-*.oxt" \
+ find $DICT_DIR -type f -name "*.oxt" \
-exec $UNOPKG_BIN add --shared {} \
"-env:UserInstallation=file:///$UNOPKG_TMP" \;
rm -rf $UNOPKG_TMP # Clean up after ourselves
@@ -105,7 +121,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Disable Java support if desired (see above)
if [ "$DISABLE_JAVA" = "YES" ]; then
- chmod -x $PKG/opt/broffice.org/ure/bin/javaldx
+ chmod -x $PKG/opt/openoffice.org/ure/bin/javaldx
fi
mkdir -p $PKG/install
@@ -116,4 +132,4 @@ cat $CWD/doinst.sh > $PKG/install/doinst.sh
chown -R root:root .
find . -type d -exec chmod 755 {} \;
chmod -R u+rw,go+r-w,a-s .
-/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-${VERSION}_${PKG_LANG}-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-${VERSION}_${PKG_LANG}-$PKGARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/broffice.org/broffice.org.info b/office/broffice.org/broffice.org.info
index 2ba1fe9358..0ce41252e5 100644
--- a/office/broffice.org/broffice.org.info
+++ b/office/broffice.org/broffice.org.info
@@ -1,8 +1,10 @@
PRGNAM="broffice.org"
-VERSION="3.0.1"
+VERSION="3.1.1"
HOMEPAGE="http://broffice.org"
-DOWNLOAD="ftp://ftp.broffice.org/stable/3.0.1/BrOo_3.0.1_LinuxIntel_install_pt-BR.tar.gz"
-MD5SUM="68883c544b9686a3cc34876004c65bac"
+DOWNLOAD="ftp://ftp.broffice.org/stable/3.1.1/BrOOo_3.1.1_LinuxIntel_install_pt-BR.tar.gz"
+MD5SUM="fd7105c4d62b918b39fc33ccc3ebf3ef"
+DOWNLOAD_x86_64="ftp://ftp.broffice.org/stable/3.1.1/BrOOo_3.1.1_LinuxX86-64_install_pt-BR.tar.gz"
+MD5SUM_x86_64="b95383860da22d173a7f0374dbdb7c61"
MAINTAINER="Eduardo Oda"
EMAIL="edu.oda@gmail.com"
APPROVED="rworkman"
diff --git a/office/broffice.org/desktop-file-fix-3.0.1-pt_BR.diff b/office/broffice.org/desktop-file-fix-3.0.1-pt_BR.diff
deleted file mode 100644
index 203c203169..0000000000
--- a/office/broffice.org/desktop-file-fix-3.0.1-pt_BR.diff
+++ /dev/null
@@ -1,72 +0,0 @@
-diff -Nur a/opt/broffice.org3/share/xdg/base.desktop b/opt/broffice.org3/share/xdg/base.desktop
---- a/opt/broffice.org3/share/xdg/base.desktop 2009-01-09 12:09:18.000000000 -0200
-+++ b/opt/broffice.org3/share/xdg/base.desktop 2009-02-04 13:55:42.000000000 -0200
-@@ -4,7 +4,7 @@
- Icon=brofficeorg3-base
- Type=Application
- Categories=Office;X-Red-Hat-Base;X-SuSE-Core-Office;X-MandrivaLinux-MoreApplications-Databases;
--Exec=broffice.org3 -base %U
-+Exec=sbase %U
- MimeType=application/vnd.oasis.opendocument.database;application/vnd.sun.xml.base;
- Name=BrOffice.org 3.0 Base
- GenericName=Database Development
-diff -Nur a/opt/broffice.org3/share/xdg/calc.desktop b/opt/broffice.org3/share/xdg/calc.desktop
---- a/opt/broffice.org3/share/xdg/calc.desktop 2009-01-09 12:09:18.000000000 -0200
-+++ b/opt/broffice.org3/share/xdg/calc.desktop 2009-02-04 13:56:12.000000000 -0200
-@@ -4,7 +4,7 @@
- Icon=brofficeorg3-calc
- Type=Application
- Categories=Office;X-Red-Hat-Base;X-SuSE-Core-Office;X-MandrivaLinux-Office-Spreadsheets;
--Exec=broffice.org3 -calc %U
-+Exec=scalc %U
- MimeType=application/vnd.oasis.opendocument.spreadsheet;application/vnd.oasis.opendocument.spreadsheet-template;application/vnd.sun.xml.calc;application/vnd.sun.xml.calc.template;application/vnd.stardivision.calc;application/vnd.stardivision.chart;application/msexcel;application/vnd.ms-excel;application/vnd.openxmlformats-officedocument.spreadsheetml.sheet;application/vnd.ms-excel.sheet.macroenabled.12;application/vnd.openxmlformats-officedocument.spreadsheetml.template;application/vnd.ms-excel.template.macroenabled.12;application/vnd.ms-excel.sheet.binary.macroenabled.12;
- Name=BrOffice.org 3.0 Calc
- GenericName=Spreadsheet
-diff -Nur a/opt/broffice.org3/share/xdg/draw.desktop b/opt/broffice.org3/share/xdg/draw.desktop
---- a/opt/broffice.org3/share/xdg/draw.desktop 2009-01-09 12:09:18.000000000 -0200
-+++ b/opt/broffice.org3/share/xdg/draw.desktop 2009-02-04 13:56:26.000000000 -0200
-@@ -4,7 +4,7 @@
- Icon=brofficeorg3-draw
- Type=Application
- Categories=Office;X-Red-Hat-Base;X-SuSE-Core-Office;X-MandrivaLinux-Office-Drawing;
--Exec=broffice.org3 -draw %U
-+Exec=sdraw %U
- MimeType=application/vnd.oasis.opendocument.graphics;application/vnd.oasis.opendocument.graphics-template;application/vnd.sun.xml.draw;application/vnd.sun.xml.draw.template;application/vnd.stardivision.draw;
- Name=BrOffice.org 3.0 Draw
- Comment=Create and edit drawings, flow charts, and logos by using Draw.
-diff -Nur a/opt/broffice.org3/share/xdg/impress.desktop b/opt/broffice.org3/share/xdg/impress.desktop
---- a/opt/broffice.org3/share/xdg/impress.desktop 2009-01-09 12:09:18.000000000 -0200
-+++ b/opt/broffice.org3/share/xdg/impress.desktop 2009-02-04 13:57:05.000000000 -0200
-@@ -4,7 +4,7 @@
- Icon=brofficeorg3-impress
- Type=Application
- Categories=Office;X-Red-Hat-Base;X-SuSE-Core-Office;X-MandrivaLinux-Office-Presentations;
--Exec=broffice.org3 -impress %U
-+Exec=simpress %U
- MimeType=application/vnd.oasis.opendocument.presentation;application/vnd.oasis.opendocument.presentation-template;application/vnd.sun.xml.impress;application/vnd.sun.xml.impress.template;application/vnd.stardivision.impress;application/mspowerpoint;application/vnd.ms-powerpoint;application/vnd.openxmlformats-officedocument.presentationml.presentation;application/vnd.ms-powerpoint.presentation.macroenabled.12;application/vnd.openxmlformats-officedocument.presentationml.template;application/vnd.ms-powerpoint.template.macroenabled.12;
- Name=BrOffice.org 3.0 Impress
- GenericName=Presentation
-diff -Nur a/opt/broffice.org3/share/xdg/math.desktop b/opt/broffice.org3/share/xdg/math.desktop
---- a/opt/broffice.org3/share/xdg/math.desktop 2009-01-09 12:09:19.000000000 -0200
-+++ b/opt/broffice.org3/share/xdg/math.desktop 2009-02-04 13:57:28.000000000 -0200
-@@ -4,7 +4,7 @@
- Icon=brofficeorg3-math
- Type=Application
- Categories=Office;X-Red-Hat-Base;X-SuSE-Core-Office;X-MandrivaLinux-Office-Other;
--Exec=broffice.org3 -math %U
-+Exec=smath %U
- MimeType=application/vnd.oasis.opendocument.formula;application/vnd.sun.xml.math;application/vnd.stardivision.math;
- Name=BrOffice.org 3.0 Math
- Comment=Create and edit scientific formulas and equations by using Math.
-diff -Nur a/opt/broffice.org3/share/xdg/writer.desktop b/opt/broffice.org3/share/xdg/writer.desktop
---- a/opt/broffice.org3/share/xdg/writer.desktop 2009-01-09 12:09:19.000000000 -0200
-+++ b/opt/broffice.org3/share/xdg/writer.desktop 2009-02-04 13:57:48.000000000 -0200
-@@ -4,7 +4,7 @@
- Icon=brofficeorg3-writer
- Type=Application
- Categories=Office;X-Red-Hat-Base;X-SuSE-Core-Office;X-MandrivaLinux-Office-Wordprocessors;
--Exec=broffice.org3 -writer %U
-+Exec=swriter %U
- MimeType=application/vnd.oasis.opendocument.text;application/vnd.oasis.opendocument.text-template;application/vnd.oasis.opendocument.text-web;application/vnd.oasis.opendocument.text-master;application/vnd.sun.xml.writer;application/vnd.sun.xml.writer.template;application/vnd.sun.xml.writer.global;application/vnd.stardivision.writer;application/msword;application/vnd.ms-word;application/x-doc;application/rtf;text/rtf;application/vnd.wordperfect;application/wordperfect;application/vnd.openxmlformats-officedocument.wordprocessingml.document;application/vnd.ms-word.document.macroenabled.12;application/vnd.openxmlformats-officedocument.wordprocessingml.template;application/vnd.ms-word.template.macroenabled.12;
- Name=BrOffice.org 3.0 Writer
- GenericName=Word Processor
diff --git a/office/broffice.org/slack-desc b/office/broffice.org/slack-desc
index 45da81f44e..6f0fb11cee 100644
--- a/office/broffice.org/slack-desc
+++ b/office/broffice.org/slack-desc
@@ -5,17 +5,15 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-----------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
broffice.org: BrOffice.org Office Suite (pt_BR version of OOo)
-broffice.org:
+broffice.org:
broffice.org: BrOffice.org is the Brazilian version of OpenOffice.org.
-broffice.org:
+broffice.org:
broffice.org: OpenOffice.org is a full-featured open-source office suite
broffice.org: that is compatible with all other major office software.
-broffice.org:
-broffice.org: This is a repackaging of the official OpenOffice.org binary
-broffice.org: RPM's distributed by the upstream developers.
-broffice.org:
+broffice.org:
broffice.org: Homepage: http://broffice.org
-broffice.org:
-broffice.org:
+broffice.org:
+broffice.org:
+broffice.org: